# ============================================================
# HOUSE FILE — 1351 Leighton St.
# ============================================================
# Inherits from: defaults.yaml
# Only specify what DIFFERS from defaults or what defaults
# can't know (room-specific layout, fixture placement, etc.)
#
# CONVENTIONS:
#   - Walls are labeled by compass: north, south, east, west
#   - Wall walks go clockwise from the NW corner
#   - Positions along a wall: "3'_from_east" or "centered"
#   - Cabinet codes match the plan (B30, SB36, etc.)
#   - "~" means "same as default" (you can omit these entirely)
# ============================================================

project:
  address: 1351 Leighton St.
  parcel: "400107369408"
  plan_sheet: "A2 - Floor Plan - As Built-Layout.pdf"
  stories: 2
  footprint: [52', 38']
  living_area: 1897 sqft
  orientation: north  # which way the front faces

# ------------------------------------------------------------
# OVERRIDES FROM DEFAULTS
# ------------------------------------------------------------
# Only list things that differ from defaults.yaml
overrides:
  # Example:
  # framing.ceiling_height.first_floor: 10'
  # finishes.flooring.default: hardwood
  # hvac.duct_location: attic

# ============================================================
# 1ST FLOOR
# ============================================================
first_floor:
  ceiling_height: 9'          # or override from default

  # ----------------------------------------------------------
  # ROOMS — each room has dims, walls, and contents
  # ----------------------------------------------------------
  garage:
    dims: [18'5", 19'0"]
    ceiling_height: ~          # same as floor default
    floor: sealed_concrete
    walls:
      north:
        length: 18'5"
        features:
          - { type: garage_door, size: 16'x8', position: centered }
      east:
        length: 19'0"
        features:
          - { type: door, size: 3068, to: mudroom, position: 5'_from_north, fire_rating: 20min }
          - { type: water_heater, position: 8'_from_north, notes: "Tier III HP, in pan, drain to trap" }
      south:
        length: 18'5"
        features: []
      west:
        length: 19'0"
        features:
          - { type: panel, notes: "200A electrical panel" }
    fixtures:
      electrical:
        - { type: outlet, wall: south, qty: 2 }
        - { type: outlet, wall: west, qty: 1, volts: 240, notes: "EV ready?" }
        - { type: gdo, notes: "garage door opener" }

  mudroom:
    dims: [7'2", 8'8"]
    doors:
      - { wall: west, size: 3068, to: garage, fire_rating: 20min }
      - { wall: east, size: 2668, to: kitchen_hall }
    features: []
    notes: "no sink"

  pantry:
    dims: [7'2", 8'5"]
    doors:
      - { wall: east, size: 2468, to: kitchen }
    cabinets:
      shelving: true           # or list specific cabs

  kitchen:
    dims: [10'11", 17'6"]
    doors:
      - { wall: south, size: 2668, to: dining, type: cased_opening }
    cabinets:
      # GROUPS: each group = one contiguous countertop piece
      group_1:
        wall: north
        cabs: [B24R, SB36, DW, B21R]  # FILL IN actual sequence
        counter: quartz
        has_sink: true
        has_dishwasher: true
      group_2:
        wall: east
        cabs: [B30, B24R]             # FILL IN
        counter: quartz
      group_3:
        wall: south
        cabs: [B15R, B15R]            # FILL IN
        counter: quartz
      group_4:
        type: island
        cabs: [B4120, B4121]           # FILL IN
        counter: quartz
        notes: "overhang on north side for seating?"
    uppers:
      # list upper cab runs if needed for material takeoff
      - wall: north
        cabs: [W3030, W3630]           # FILL IN
    appliances:
      range: { wall: east, position: centered_in_run }
      microwave: { above: range }
      refrigerator: { wall: east, position: north_end }
      dishwasher: { in_group: group_1, position: right_of_sink }

  dining:
    dims: [16'5", 6'10"]
    notes: "open to family room"
    # no cabinets, no special features

  family:
    dims: [18'9", 16'6"]
    doors:
      - { wall: south, size: 6068, to: deck, type: slider }
    features:
      - { type: fireplace, wall: east, notes: "if applicable — VERIFY" }
    notes: "open to kitchen/dining"

  living_room:
    dims: [15'2", 15'10"]
    doors:
      - { wall: north, size: 3068, to: entry, type: front_door }
    notes: "separated from family room"

  master_bdrm_1st:
    dims: [12'11", 12'5"]
    doors:
      - { wall: north, size: 2668, to: hallway }
      - { wall: east, size: 2468, to: master_bath_1st }
      - { wall: south, size: 6068, to: closet, type: bifold }  # VERIFY
    windows:
      - { wall: west, size: 2860SH }   # VERIFY wall

  master_bath_1st:
    dims: [7'2", 8'5"]           # VERIFY — may be smaller
    fixtures:
      plumbing:
        - { type: vanity_sink, count: 1, faucet: single_hole }
        - { type: toilet, model: elongated }
        - { type: shower, size: 48x36 }   # VERIFY
    cabinets:
      group_1:
        cabs: [B30]                # FILL IN
        counter: quartz

  powder_room:
    location: "by front door"
    dims: []                       # MEASURE — not clearly labeled on plan
    fixtures:
      plumbing:
        - { type: pedestal_sink, faucet: single_hole }  # or vanity — VERIFY
        - { type: toilet, model: elongated }
    notes: "half bath"

  deck:
    dims: [16'5", 11'11"]
    material: pressure_treated     # or override
    railing: true

# ============================================================
# 2ND FLOOR
# ============================================================
second_floor:
  ceiling_height: 8'

  master_bdrm_2nd:
    dims: [15'3", 14'8"]
    doors:
      - { wall: west, size: 2668, to: hallway }
      - { wall: north, size: 2668, to: master_bath_2nd }
      - { wall: east, size: 6068, to: closet, type: bifold }  # VERIFY
    windows:
      - { wall: south, size: 2860SH }
      - { wall: south, size: 2860SH }   # VERIFY count/wall

  master_bath_2nd:
    dims: []                        # MEASURE from plan details
    fixtures:
      plumbing:
        - { type: vanity_sink, count: 2, faucet: single_hole, notes: "double vanity" }
        - { type: toilet, model: elongated }
        - { type: tub_shower, size: 60x32 }  # VERIFY
    cabinets:
      group_1:
        cabs: []                    # FILL IN
        counter: quartz

  closet_master:
    dims: [15'3", 12'2"]
    features:
      - { type: shelving, system: wire }  # or custom — VERIFY
    notes: "large walk-in"

  bedroom_1:
    dims: [12'4", 10'6"]
    doors:
      - { wall: south, size: 2668, to: hallway }  # VERIFY wall
      - { wall: east, size: 4068, to: closet, type: bifold }  # VERIFY
    windows:
      - { wall: north, size: 6040LS }   # VERIFY — egress window

  bedroom_2:
    dims: [11'0", 11'5"]
    doors:
      - { wall: south, size: 2668, to: hallway }
      - { wall: west, size: 4068, to: closet, type: bifold }
    windows:
      - { wall: north, size: 6040LS }

  bedroom_3:
    dims: [12'6", 10'9"]
    doors:
      - { wall: north, size: 2668, to: hallway }
      - { wall: west, size: 4068, to: closet, type: bifold }
    windows:
      - { wall: south, size: 6040LS }

  bath_2nd:
    dims: [10'7", 11'4"]
    fixtures:
      plumbing:
        - { type: vanity_sink, count: 2, faucet: single_hole, notes: "2 sink areas" }
        - { type: toilet, model: elongated }
        - { type: tub_shower, size: 60x32 }
    cabinets:
      group_1:
        cabs: []                    # FILL IN
        counter: quartz
      group_2:
        cabs: []                    # FILL IN — if second vanity is separate
        counter: quartz

  media:
    dims: [19'3", 12'8"]
    doors:
      - { wall: west, size: 2668, to: hallway }
    windows:
      - { wall: south, size: 5050LS }
      - { wall: south, size: 5050LS }   # VERIFY
    notes: "could need extra circuits for AV equipment"

  laundry:
    dims: [16'1", 6'5"]
    fixtures:
      plumbing:
        - { type: utility_sink, faucet: single_hole }
        - { type: washer_box, position: centered }
    features:
      - { type: dryer_vent, wall: exterior }
    cabinets:
      group_1:
        cabs: []                    # FILL IN
        counter: laminate

  office:
    dims: [15'3", 9'5"]
    doors:
      - { wall: north, size: 2668, to: hallway }
    windows:
      - { wall: south, size: 2860SH }   # egress
    notes: ""

# ============================================================
# WINDOWS — FULL SCHEDULE
# ============================================================
# Master list so we can do takeoffs (glass area, trim, etc.)
# Floor assignment + room lets us cross-reference
windows:
  first_floor:
    - { id: W101, room: kitchen, size: 5046LS, wall: north }
    - { id: W102, room: family, size: 6068, wall: south, notes: "slider to deck" }
    # ... FILL IN remaining 1st floor windows
  second_floor:
    - { id: W201, room: bedroom_1, size: 6040LS, wall: north, egress: true }
    - { id: W202, room: bedroom_2, size: 6040LS, wall: north, egress: true }
    - { id: W203, room: bedroom_3, size: 6040LS, wall: south, egress: true }
    - { id: W204, room: master_bdrm_2nd, size: 2860SH, wall: south, egress: true }
    - { id: W205, room: master_bdrm_2nd, size: 2860SH, wall: south }
    - { id: W206, room: master_bdrm_2nd, size: 2860SH, wall: east }
    - { id: W207, room: media, size: 5050LS, wall: south }
    - { id: W208, room: media, size: 5050LS, wall: south }
    - { id: W209, room: office, size: 2860SH, wall: south, egress: true }
    - { id: W210, room: bath_2nd, size: 2020FX, wall: east }
    - { id: W211, room: bath_2nd, size: 2020FX, wall: east }
    - { id: W212, room: bath_2nd, size: 2020FX, wall: east }
    - { id: W213, room: laundry, size: 2850SH, wall: north }
    - { id: W214, room: laundry, size: 2850SH, wall: north }
    - { id: W215, room: master_bath_2nd, size: 110110FX, wall: east }
    - { id: W216, room: master_bath_2nd, size: 110110FX, wall: east }
    - { id: W217, room: closet_master, size: 110110FX, wall: east }
    - { id: W218, room: closet_master, size: 110110FX, wall: east }
    - { id: W219, room: bedroom_1, size: 6040LS, wall: east }  # 4th 6040?

# ============================================================
# MECHANICAL SYSTEMS — LAYOUT
# ============================================================
hvac:
  equipment:
    - { type: heat_pump_outdoor, location: "east side of house" }
    - { type: air_handler, location: "FILL IN" }
  # Duct runs are hard to encode exhaustively.
  # Option 1: just note trunk locations and sizes
  # Option 2: full run list (overkill unless you want duct takeoff)
  trunk_runs:
    - { from: air_handler, to: first_floor, size: "FILL IN", path: "FILL IN" }
    - { from: air_handler, to: second_floor, size: "FILL IN", path: "FILL IN" }
  returns:
    - { room: family, size: "14x20", wall: east }
    # ... one per room or zone

plumbing:
  # Trunk routing — useful for pipe length estimates
  supply_entry: "FILL IN — north side?"
  main_shutoff: "FILL IN"
  manifold_location: "FILL IN"
  hot_water_runs:
    # longest run matters for wait time / recirc decisions
    - { from: water_heater, to: master_bath_2nd, estimated_length: "FILL IN" }
  dwv_stacks:
    - { id: stack_1, serves: [kitchen, powder_room], drops_to: "crawlspace north" }
    - { id: stack_2, serves: [master_bath_1st, bath_2nd], drops_to: "crawlspace center" }
    - { id: stack_3, serves: [master_bath_2nd, laundry], drops_to: "crawlspace south" }

# ============================================================
# ROOF & STRUCTURE
# ============================================================
roof:
  # Trusses are designed by the truss manufacturer, but we can
  # capture the basics for material planning
  style: gable                   # gable | hip | combo
  ridge_direction: east_west     # VERIFY
  pitches:
    main: 6/12
    # porch: 4/12               # if different
  trusses:
    spacing: 24_OC
    span: 38'                    # matches house width
    bearing_walls: [north_exterior, south_exterior, center_bearing]
    special:
      - { type: girder_truss, location: "FILL IN", notes: "if any" }
      - { type: attic_truss, location: "FILL IN", notes: "if bonus room" }
  sheathing: 7/16_OSB

# ============================================================
# FOUNDATION DETAILS
# ============================================================
foundation:
  footprint: [52', 38']
  # Jogs, step-downs, piers — anything non-rectangular
  shape_notes: "rectangular? or jogs? FILL IN"
  hold_downs: []                # FILL IN from structural
  anchor_bolts: "1/2\" @ 6' OC"  # or per code
  beam_pockets: []              # FILL IN

# ============================================================
# SIDING & EXTERIOR DETAILS
# ============================================================
exterior_detail:
  # Encode by elevation (face of house)
  north:
    material: fiber_cement_lap   # or override
    area_approx: "FILL IN"
    gable: true
    features:
      - { type: garage_door, size: 16x8 }
      - { type: entry_door }
  east:
    material: fiber_cement_lap
    features:
      - { type: windows, count: "FILL IN" }
  south:
    material: fiber_cement_lap
    features:
      - { type: slider, to: deck }
      - { type: deck, width: 16'5" }
  west:
    material: fiber_cement_lap
    features: []
  trim:
    corners: 1x4_fiber_cement
    window_trim: 1x4_fiber_cement
    band_board: 1x8_fiber_cement  # between floors
    frieze: 1x8_fiber_cement

# ============================================================
# SPECIAL NOTES / PUNCHLIST / TODO
# ============================================================
notes:
  - "Dishwasher air gap needed at kitchen sink"
  - "Verify powder room dimensions — not clearly labeled on plan"
  - "Confirm fireplace in family room"
  - "FILL IN all cabinet sequences per group"
  - "FILL IN duct routing and sizes"
  - "FILL IN plumbing stack locations"
